%define name	bk_edit
%define version	0.6.21
%define release 2mdk

Name: 	 	%{name}
Summary: 	Graphical bookmark editor for web browsers.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
#Source1: 	%{name}48.png
#Source2: 	%{name}32.png
#Source3: 	%{name}16.png
URL:		http://www2.fht-esslingen.de/~clfuit00/sasnt/bk_edit/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	flex bison libgtk+1.2-devel libxml2-devel
Provides:	bkedit

%description
bk_edit is an easy to use bookmark manager and editor. The program can read,
write, edit, create, manage and organize the bookmarks of the most popular
browsers. There is also a simple Drag & Drop interface for adding new
bookmarks from a running browser in a very comfortable way. At the moment
there are plugins for the browsers listed below.
    * Opera 6
    * Galeon 1.2.5/XBEL
    * Mozilla 1.0, 1.1, 1.2
    * Netscape Navigator 6+
    * Netscape Navigator 4+
    * Netscape Navigator 3+
    * Phoenix 0.5+ (Drag & Drop only)
    * Konqueror 3+ (Drag & Drop only)

%prep
%setup -q

%build
%configure
%make CC="gcc $RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_datadir,%_libdir/bkedit}
chmod 644 COPYING ChangeLog README TESTED
cd src
cp bkedit $RPM_BUILD_ROOT/%_bindir
cp plugins/*.so $RPM_BUILD_ROOT/%_libdir/bkedit
ln -s %_libdir/bkedit $RPM_BUILD_ROOT/%_datadir/bkedit

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="bkedit" icon="networking_www_section.png" needs="x11" title="BK_Edit" longtitle="Bookmarks Editor" section="Networking/WWW"
EOF

#icons
#mkdir -p $RPM_BUILD_ROOT/%_liconsdir
#cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_iconsdir
#cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_miconsdir
#cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING TESTED
%{_bindir}/bkedit
%{_menudir}/%name
%{_datadir}/bkedit
%{_libdir}/bkedit
#%{_liconsdir}/%name.png
#%{_iconsdir}/%name.png
#%{_miconsdir}/%name.png

%changelog
* Sat Aug 09 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.6.21-2mdk
- corrected menu description

* Mon Jul 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.21-1mdk
- 0.6.21

* Thu Jun 12 2003 Austin Acton <aacton@yorku.ca> 0.6.18-2mdk
- fix plugin symlink

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.6.18-1mdk
- 0.6.18
- move plugins to where they belong

* Thu May 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.16-1mdk
- 0.6.16

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.6.15-1mdk
- new version
- fix datadir name

* Tue Apr 8 2003 Austin Acton <aacton@yorku.ca> 0.6.13-2mdk
- fix menu entry
- fix some file permissions

* Tue Apr 8 2003 Austin Acton <aacton@yorku.ca> 0.6.13-1mdk
- new version
- use optflags
- new binary name

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 0.6.12-1mdk
- fix mini versioning

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 0.6_12-1mdk
- 0.6_12

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.6_10-1mdk
- initial package
